Skip to main content
POST
/
quantlib
/
physics
/
thermodynamics
/
joule-thomson
curl --request POST \ --url https://api.fincept.in/quantlib/physics/thermodynamics/joule-thomson \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "temperature": 300, "pressure": 101325, "Cp": 29.1, "a": 0, "b": 0 } '
{
  "success": true,
  "data": {
    "joule_thomson_coefficient": 0.00000234
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get your key at https://api.fincept.in/auth/register

Body

application/json
temperature
number
default:300

Temperature (Kelvin)

Example:

300

pressure
number
default:101325

Pressure (Pa)

Example:

101325

Cp
number
default:29.1

Heat capacity at constant pressure (J/(mol·K))

Example:

29.1

a
number
default:0

Van der Waals parameter a (Pa·m⁶/mol²)

Example:

0.1

b
number
default:0

Van der Waals parameter b (m³/mol)

Example:

0.01

Response

Joule-Thomson coefficient calculated successfully

success
boolean
Example:

true

data
object